# Migration play
# vim:et ts=2 sw=2 sts=2 syntax=yaml filetype=yaml
# - Relocate FST folders
---
- block:
  - set_fact:
      migration_paths:
        - /usr/lib64/build
        - /usr/include/php
        - /usr/bin/phpize
        - /usr/bin/php-config
  - name: Create multiPHP root
    file:
      path: "{{ apnscp_shared_root }}/php"
      state: directory
  - name: Relocate binaries
    synchronize:
      archive: yes
      src: "{{ item }}"
      copy_links: true
      dirs: yes
      dest: "{{ apnscp_shared_root }}/php"
      rsync_opts:
        - "-R"
        - "--remove-source-files"
    with_items: "{{ migration_paths }}"
    delegate_to: "{{ inventory_hostname }}"
  - name: Link binaries
    file:
      path: "{{ item }}"
      src: "{{ apnscp_shared_root }}/php{{ item }}"
      state: link
    with_items: "{{ migration_paths }}"
  - name: Add X-Envelope-From header
    include_role: name=mail/configure-postfix
  - name: Update ApisCP logrotation profile
    include_role: name=system/misc-logrotate
  tags: up
